Bug 65682 - Launching kppp with panel button jams the panel
Launching kppp with panel button jams the panel
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-05-29 19:32 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-18 14:00:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-29 19:32:25 EDT
Description of Problem:

If you add a button to the KDE panel to launch kppp, the KDE panel becomes 
jammed when you launch kppp with the button (launching kppp from the 
Internet menu doesn't do this).  The KDE panel remains unresponsive until 
you exit kppp, then it returns to normal.

Version-Release number of selected component (if applicable):

KDE 3.0.0-10

How Reproducible:


Steps to Reproduce:
1. Add kppp button to KDE panel: Configure Panel / Add / Button / Internet 
2. Click the kppp button and establish connection.
3. KDE panel is now frozen until you exit kppp.

Actual Results:

Expected Results:

Additional Information:
Comment 1 Arto K 2002-07-17 03:36:26 EDT
Yes, that is true.
The problem is that kppp jams the panel and the desktop if you put it in any of
them. All that happens if you are connecting by kppp through a normal user.

If you connect by root non of these problems will happen !
But I want my family members to connect through their usernames and this is a
high priority problem I guess.
Comment 2 Antonio Vieira 2002-09-08 12:07:15 EDT
I found the same problem. But it's not only the panel that jams.  
If you try the same with a desktop icon the desktop jams, failing to refresh 
the desktop items. 
I tried to work-arround the bug with a background launch of kppp in a  
simple shell script (something like: 'kppp &'). In this case I guarantee the 
process fork and it doesn't jam anything, but on the other hand I get a 
kdeinit dialog box error: "kdeinit can't execute '/home/toze/kppp.sh'". 
But the program actually runs the console helper and the kppp. 
Comment 3 Need Real Name 2002-11-09 09:00:43 EST
I have found the same problem occurs with Red Hat 8.0.  
has any real fix been found?  
i would assume not since Red Hat Tech Support referred me here without
presenting me with a fix. 

Comment 4 Petr Rockai 2006-07-17 14:18:18 EDT
This bug is reported against old release of Red Hat Linux or Fedora Core 
that is no longer supported. Chances are that it has been already fixed in 
newer Fedora Core release. If you still experience the problem with 
current release of Fedora Core, please update the Version field (you may 
need to switch Product to Fedora Core first) in the bug report and put it 
back to NEW state.
Comment 5 Bill Nottingham 2006-10-18 14:00:15 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.